Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.GIOP
Class TargetAddress

    java.lang.Object
      |
      +--org.omg.GIOP.TargetAddress

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class TargetAddress
extends java.lang.Object
implements IDLEntity

Union definition : TargetAddress

Author:
  OpenORB Compiler
See Also:
  Serialized Form

Constructor Summary
`TargetAddress()` Default constructor

Method Summary
`void` | `__default()` default access
`void` | `__default(short _discriminator)` default access
`short` | `discriminator()` Get discriminator value
`IORAddressingInfo` | `ior()` Get ior value
`void` | `ior(IORAddressingInfo value)` Set ior value
`byte[]` | `object_key()` Get object_key value
`void` | `object_key(byte[] value)` Set object_key value
`TaggedProfile` | `profile()` Get profile value
`void` | `profile(TaggedProfile value)` Set profile value

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TargetAddress

    public TargetAddress()

  Default constructor

Method Detail

### discriminator

    public short discriminator()

  Get discriminator value

### object_key

    public void object_key(byte[] value)

  Set object_key value

### object_key

    public byte[] object_key()

  Get object_key value

### profile

    public void profile(TaggedProfile value)

  Set profile value

### profile

    public TaggedProfile profile()

  Get profile value

### ior

    public void ior(IORAddressingInfo value)

  Set ior value

### ior

    public IORAddressingInfo ior()

  Get ior value

### __default

    public void __default()

  default access

### __default

    public void __default(short _discriminator)

  default access

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD